javax.mail.search

## Class HeaderTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.StringTerm
    - - javax.mail.search.HeaderTerm

- All Implemented Interfaces:
    Serializable

      public final class HeaderTerm
      extends StringTerm

  This class implements comparisons for Message headers. The comparison is case-insensitive.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `headerName` The name of the header.

    - ### Fields inherited from class javax.mail.search.StringTerm

      `ignoreCase, pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderTerm(String headerName, String pattern)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `String` | `getHeaderName()` Return the name of the header to compare with.
    `int` | `hashCode()` Compute a hashCode for this object.
    `boolean` | `match(Message msg)` The header match method.

    - ### Methods inherited from class javax.mail.search.StringTerm

      `getIgnoreCase, getPattern, match`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### headerName

          protected String headerName

      The name of the header.

  - ### Constructor Detail

    - #### HeaderTerm

          public HeaderTerm(String headerName,
                    String pattern)

      Constructor.
      Parameters:
        `headerName` - The name of the header
        `pattern` - The pattern to search for

  - ### Method Detail

    - #### getHeaderName

          public String getHeaderName()

      Return the name of the header to compare with.

    - #### match

          public boolean match(Message msg)

      The header match method.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - The match is applied to this Message's header
      Returns:
        true if the match succeeds, otherwise false

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.
      Overrides:
        `equals` in class `StringTerm`

    - #### hashCode

          public int hashCode()

      Compute a hashCode for this object.
      Overrides:
        `hashCode` in class `StringTerm`

Copyright © 2013 Oracle. All Rights Reserved.